﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.Win32;

namespace Win32Satellite
{
    public partial class AboutBox : Form
    {
        public AboutBox(string version)
        {
            InitializeComponent();
            VersionLabel.Text = version;
            Hide();
        }

        private void okClicked(object sender, EventArgs e)
        {
            Hide();
        }

        private void urlClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                System.Diagnostics.Process.Start("http://satellitelab.mpi-sws.mpg.de/");
            }
            catch (Exception exp)
            {
                MessageBox.Show(exp.Message);
            }
        }
    }
}
