#!/bin/bash

# copy SatelliteLab plist file (containing cmd-line args) to the .app folder
# the /tmp/tmp_java_info.plit file was generated during install with a custom
# registration plugin
cp /tmp/tmp_java_info.plist /Applications/SatelliteLab.app/Contents/Info.plist
chown root:wheel /Applications/SatelliteLab.app/Contents/Info.plist
chmod 644 /Applications/SatelliteLab.app/Contents/Info.plist

# install SatelliteLab as a LoginItem
echo -e 'tell application "System Events"\nmake new login item at end of login items with properties {path:"/Applications/SatelliteLab.app", hidden:true, kind:application, name:"SatelliteLab"}\nend tell\n' | /usr/bin/osascript

# run SatelliteLab for the first time
open /Applications/SatelliteLab.app
